VERSION 5.00
Begin VB.UserControl ucPanel 
   Alignable       =   -1  'True
   ClientHeight    =   2535
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   3045
   ControlContainer=   -1  'True
   ScaleHeight     =   169
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   203
End
Attribute VB_Name = "ucPanel"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit 'just a generic Helper-Control, to make Widgets usable on a normal VB-Form

Event Resize()

Public Root As cWidgetRoot
 
Public Property Get Widgets() As cWidgets
  If Root Is Nothing Then
    Set Root = Cairo.WidgetRoot
    Root.RenderContentIn Me
  End If
  Set Widgets = Root.Widgets
End Property

Private Sub UserControl_Resize()
  RaiseEvent Resize
End Sub

Private Sub UserControl_Show()
  If Not Root Is Nothing Then Root.Widget.Refresh
End Sub

Private Sub UserControl_Terminate()
  If Not Root Is Nothing Then
    Root.Widgets.RemoveAll
    Root.Disconnect
  End If
End Sub
